Bug 474881 - [Intel 5.4 FEAT] Update the Intel igb driver to match upstream changes & include Kawela PF
[Intel 5.4 FEAT] Update the Intel igb driver to match upstream changes & incl...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity medium
: rc
: 5.4
Assigned To: Andy Gospodarek
Red Hat Kernel QE team
: FutureFeature
: 473724 475261 475387 524926 (view as bug list)
Depends On:
Blocks: 499522 504615 450783 452016 480524 483701 483784 485920 508925 512276 548023 584513
  Show dependency treegraph
 
Reported: 2008-12-05 13:59 EST by John Ronciak
Modified: 2013-01-10 21:35 EST (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 508925 (view as bug list)
Environment:
Last Closed: 2009-09-02 04:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Ronciak 2008-12-05 13:59:36 EST
Description of problem:
Keep in sync with upstream changes with the igb driver.

This is also a request from IBM.
Comment 1 John Jarvis 2009-01-14 17:01:35 EST
*** Bug 475261 has been marked as a duplicate of this bug. ***
Comment 4 John Jarvis 2009-01-15 09:07:20 EST
*** Bug 473724 has been marked as a duplicate of this bug. ***
Comment 5 John Jarvis 2009-01-15 09:09:50 EST
*** Bug 475387 has been marked as a duplicate of this bug. ***
Comment 8 IBM Bug Proxy 2009-02-11 16:32:43 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> -
1. Feature Overview:
Feature Id:	[201494]
a. Name of Feature:	IGB Driver Update
b. Feature Description
An updated version of igb driver is required to address several bug fixes and enhancements. Intel
will provide the latest available version.

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64

Arch Specificity: Purely Common Code
Affects Installer: Yes
Affects Kernel Modules: Yes
Delivery Mechanism:
Category:	Device Drivers and IO
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	yes
Code Contribution:	no
g. Component Version Target:	Driver Update - 2.6.27

3. Business Case
The igb driver is on several key System x products. We need the in-distro driver to be as current as
possible so known critical bugs are ensured to be corrected.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
*** This bug has been marked as a duplicate of 474881 ***
Comment 9 RHEL Product and Program Management 2009-02-16 10:04:00 EST
Updating PM score.
Comment 10 Martin Wilck 2009-02-19 10:44:36 EST
Confirmed that Fujitsu / Fujitsu Siemens Computers need support for 8086:150a
(see https://bugzilla.redhat.com/show_bug.cgi?id=436040#c39).
Comment 11 John Ronciak 2009-04-15 16:04:54 EDT
Now that the igb driver has been modified upstream to support it being the PF driver for the Kawela device, this upstream code needs to be added to the 5.4 igb driver to support it.
Comment 13 John Jarvis 2009-04-30 09:51:43 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 14 Don Zickus 2009-05-06 13:15:08 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 16 John Ronciak 2009-05-08 17:25:19 EDT
Kawela is supported without any problem.  It has not yet been tested as a PF driver, only as a normal Ethernet driver.
Comment 18 Chris Ward 2009-07-03 14:15:29 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 19 John Ronciak 2009-07-08 05:02:07 EDT
During the testing of the I/OAT code it was found that the 5.4 igb driver
does not have the end-point DCA code change in it.  As such only DMA testing
was possible with the included ixgbe driver.  We would like to be able to test
end-point DCA but can't at this point.  Support has been upstream for some time
now.  Please advise.
Comment 20 Andy Gospodarek 2009-07-08 08:24:48 EDT
(In reply to comment #19)
> During the testing of the I/OAT code it was found that the 5.4 igb driver
> does not have the end-point DCA code change in it.  As such only DMA testing
> was possible with the included ixgbe driver.  We would like to be able to test
> end-point DCA but can't at this point.  Support has been upstream for some time
> now.  Please advise.  

The igb driver originally did not any of the DCA bits as they were upstream,
but not in RHEL5.  This has changed in RHEL5.4 as DCA was added, but I do not
anticipate support for DCA in igb until RHEL5.5.
Comment 21 Chris Ward 2009-07-10 15:07:21 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 30 Bill Burns 2009-07-15 13:45:17 EDT
Need answer to comments 27 and 29.
Comment 34 George Beshers 2009-07-16 10:12:20 EDT

First, RHTS is RedHat Test System and the reference is to machines
available in Westford MA for testing.

Second, I still see the pxe-boot problem that one install (anaconda)
works but not the second.  'ipmitool mc reset cold' seems to fix
the problem and, *I think*, it is just the driver in the installer
causing the problem----once rhel5.4 is installed I seem to be able
to reboot without a problem.

George
Comment 36 Andy Gospodarek 2009-07-16 10:53:09 EDT
What's with the spam (comment #35)?
Comment 37 John Ronciak 2009-07-16 11:24:23 EDT
I agree.  This is really getting confusing as to what needs to be done.
Comment 40 Andy Gospodarek 2009-07-16 22:24:12 EDT
Hey, "IBM Bug Proxy" if you have a specific question please ask it rather than posting these strange updated comments.  Thanks!
Comment 44 John Ronciak 2009-07-17 12:03:16 EDT
Hey IBM guys,  Please fix your bug proxy!  It's broke as it's sending out the same old message when the BZ get's updated.  I'm sure I'll get it again once this BZ gets added.
Comment 49 John Ronciak 2009-07-21 13:34:21 EDT
Alex, what info are you looking for?  The bug proxy problem has made it hard to see what you are asking.  Both Andy and I also asked questions above as to what the problem is.
Comment 53 John Ronciak 2009-07-22 11:17:41 EDT
OK so PF stands for Physical Function as in the Physical Function driver in an SR-IOV enabled VMM.  It's only relevant for Xen and KVM with SR-IOV.  The PF driver is the driver that runs in Dom0 of these VMM's.  The Virtual Function (VF) drivers in the guest OSes talk to the PF in a standardized defined way.
Comment 54 Alex He 2009-07-22 21:52:17 EDT
(In reply to comment #52)
> (In reply to comment #51)
> > Andy, I'm  not seeing all the comments here.  Like #50 where you asked me
> > questions about the device ID's.  I also can't see #45-48.  So I can't see
> > what's going on with this BZ.
> 
> sometimes, this BZ also confused me :=(. 
> 

Now, let me guess the reason,
  because Intel doesn't like the codenames mentioned public available 
   ( refer to  https://bugzilla.redhat.com/show_bug.cgi?id=436040#c30 )  
So i set these comments private. Then you can not see #45-48, #50,.... 


> > To answer you Dev ID questions:
> >   1.  which of the 'Kawela' NICs Intel need to verified ? only one type,? or
> > more ? or all need to be verified ?
> >       ( as we know, there are so six type 'Kawela' devices: 
> > 8086:10c9 - Dual port NIC/LOM
> > 8086:10ca - Virtual interface (i.e. VF device)
> > 8086:10e6 - Kawela dual port NIC
> > 8086:10e7 - SerDes 
> > 8086:10e8 - Quad-port Kawela NIC
> > 8086:150a - Kawela NS (no Security SKU) NIC
> > to avoid ambiguity
> > between so many buddies, i think we need this confirmation to determine the
> > test range  ) 
> > We, Intel LAD, will be testing the the NIC's and SerDes i/f listed above.  Teh
> > VF can only be tested in a Xen/KVM environment with SR-IOV enabled and the igb
> > driver running as the PF driver.
> > 
> > 
> >   2.  we have verified all such 'Kawela' devices ? or not ? 
> >        NEC confirmed  igb driver works on '8086:10a7'. 
> >        but no buddy provided 'Kawela' verification.
> > 10a7 is a Zoar LOM.  So if HP tested this, it means that we should be testing
> > the Kawela devices as stated in 1 above.
> > 
> > So what's the real problem here.  Does RH not believe that we are testing the
> > driver?  I don't understand what's going on here.
> 
> We do believe! but your guys using so many abbreviation, would easily cause

  let me make this more clear:
 We do believe our Intel is testing the driver.
Because, Intel, RH, IBM, NEC, Fujitsu and so on, We all attention to this bug.
    
> misunderstand. like the term 'PF', we got different means at a glance. So i
> just suggest you provide these concrete info, only for avoiding ambiguity among
> we each other.
> 
> > 
> > I also seem to be missing the joke about "buddies".  
> Take it easy, i am a new guy who just take this bug and will be your buddy.  


Finally, thanks for your detailed upstairs comment(#53) and  understanding.
Comment 55 IBM Bug Proxy 2009-08-05 16:31:46 EDT
------- Comment From ameet@austin.ibm.com 2009-08-05 16:22 EDT-------
*** Bug 50285 has been marked as a duplicate of this bug. ***
Comment 57 Sandy Garza 2009-08-18 11:18:35 EDT
HP verified successfully with RHEL 5.4.
Comment 58 Martin Wilck 2009-08-19 11:36:34 EDT
(In reply to comment #20)

> The igb driver originally did not any of the DCA bits as they were upstream,
> but not in RHEL5.  This has changed in RHEL5.4 as DCA was added, but I do not
> anticipate support for DCA in igb until RHEL5.5.  

Is there a follow-up bug for 5.5? Will DCA support be in igb in 5.5?
Comment 59 John Ronciak 2009-08-19 11:48:36 EDT
End point DCA for the igb driver is a feature request for 5.5 and being tracked in BZ 513712.  It's BZ 514306 for it to be added to the ixgbe driver.
Comment 60 errata-xmlrpc 2009-09-02 04:14:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 62 Rich Graves 2009-09-03 16:34:13 EDT
Possible regression: See bug #521143
Comment 63 Linda Wang 2009-12-15 14:49:41 EST
*** Bug 524926 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.